## qtcreator 3.0.1

=== share/qtcreator/templates/wizards/plaincppapp/cmake/CMakeLists.txt ===
project(%ProjectName%)
cmake_minimum_required(VERSION 2.8)
aux_source_directory(. SRC_LIST)
add_executable(${PROJECT_NAME} ${SRC_LIST})
