## qtcreator 2.0.1

=== debian/changelog ===
qtcreator (2.0.1-1ubuntu3) maverick; urgency=low

  * Don't ignore shared library dependencies of the plugins. QtCreator
    displays a warning on startup when they are missing. (LP: #645740)

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 23 Sep 2010 17:08:16 +0200

qtcreator (2.0.1-1ubuntu2) maverick; urgency=low

  * Make the internal help viewer use QtWebKit so it can properly display
    the Qt documentation. (LP: #626180)
    - build-depend on libqtwebkit-dev
    - add kubuntu_01_define_qt_webkit.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 16 Sep 2010 01:41:10 +0200

qtcreator (2.0.1-1ubuntu1) maverick; urgency=low

  * Fake sync from Debian due to different MD5sums on .orig.tar.gz

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Sep 2010 16:26:43 +0100

qtcreator (2.0.1-1) experimental; urgency=low

  * New upstream release.
  * Update 01_fix_installation_paths.diff patch.
  * Update qtcreator.install file.
  * Update debian/control:
    - bump libqt4-dev build dependency to 4:4.7.0~rc1.
    - bump Standards-Version to 3.9.1 (no changes needed).
  * Enable Qml support with QTCREATOR_WITH_QML environment variable.

 -- Fathi Boudra <fabo@debian.org>  Wed, 25 Aug 2010 14:26:11 +0300

qtcreator (2.0.1-0ubuntu2) maverick; urgency=low

  * Rebuild against Qt 4.7 rc1 (LP: #630687)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 05 Sep 2010 11:16:39 +0200

qtcreator (2.0.1-0ubuntu1) maverick; urgency=low

  * Merge with Debian experimental, no remaining changes.
  * New upstream release.
  * Update debian/qtcreator.install file.
  * Adapt 01_fix_installation_paths.diff to new upstream version.
  * Fix installation error with Qt <= 4.7 Beta 2.
    - Add kubuntu_01_fix_install_qt47beta.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 25 Aug 2010 16:34:37 +0200

qtcreator (2.0.0-1) experimental; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch Debian changes to patches. It makes derivatives distributions happy.
  * Update debian/control:
    - drop cdbs build dependency.
    - bump libqt4-dev build dependency to 4:4.7.0~beta2.
    - bump Standards-Version to 3.9.0 (no changes needed).
    - cleanup long description. (Closes: #528567)
  * Update debian/rules: convert to dh usage.
  * Update debian/qtcreator.install file.

 -- Fathi Boudra <fabo@debian.org>  Thu, 08 Jul 2010 17:39:46 +0300

qtcreator (2.0.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Synch debian/patches with Debian git
    - Update install files

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 03 Jul 2010 19:30:46 +0200

qtcreator (2.0.0~rc1-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Remove kubuntu_02_qtgui_includes.diff and debian/patches,patch was applied upstream
  * Fix qtcreator.install
  * Fix crash on start (LP: #592786)

 -- Rohan Garg <rohan16garg@gmail.com>  Tue, 15 Jun 2010 19:38:06 +0530

qtcreator (2.0.0~beta1-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Build-dep on Qt 4.7
  * Use source format 3.0
  * Add kubuntu_02_qtgui_includes.diff to compile correctly, from upstream
  * Set INSTALL_ROOT=$(DEB_DESTDIR)/usr rather than complex patch to
    qmake .pro files used by Debian
  * Qt Creator 2.0 depends on private headers used by Qt, include Qt
    headers in debian/includes and point to them in debian/rules
  * Depend on the current specific version of Qt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 May 2010 11:56:35 +0100

qtcreator (1.3.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bump debhelper build dependency to 7.4.15.
  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Update copyright years.
  * Remove lintian overrides - unused.
  * Cleanup debian/rules: remove lintian warnings fix - fixed upstream.
  * Add debian/watch file.

 -- Fathi Boudra <fabo@debian.org>  Tue, 18 May 2010 16:28:06 +0300

qtcreator (1.3.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Experimental, remaining changes (LP: #536748):
    - Add qt-creator transitional package
    - debian/control: Conflicts on qt-creator (<< 1.2.1-1ubuntu1)
    - debian/rules: set QMAKE explicitly to qmake-qt4
  * Note that all other changes (most importantly those from 1.3.0-0ubuntu1)
    were completely dropped, since Debian uses a full-source packaging branch
    and thus the diff.gz is 100% legitimate, hence the delta would not ever
    become droppable. Possibly Debian could switch to source format 3 so that
    Ubuntu can sync package with patches while Debian internal development would
    still be based on full-source git.
    DO NOT CONVERT DIRECT DEBIAN CHANGES TO PATCHES!

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 10 Mar 2010 17:48:29 +0100

qtcreator (1.3.1-1) experimental; urgency=low

  * New upstream release
  * Add epoch to build-depends. (closes: #565786)

 -- Adam Majer <adamm@zombino.com>  Tue, 19 Jan 2010 14:31:57 -0600

qtcreator (1.3.0-1) experimental; urgency=low

  * New upstream release
    + added CVS and QML plugins
    + some translations were added for international users
    + plugin API/ABI modified
  * README.source added as an explanation how to merge new upstream
    releases
  * Bump build depends to Qt 4.6
  * Bump Standards-Version to 3.8.3. No changes required.
  * Install the latest upstream changelog only

 -- Adam Majer <adamm@zombino.com>  Sat, 26 Dec 2009 23:17:34 -0600

qtcreator (1.3.0-0ubuntu2) lucid; urgency=low

  * debian/control: Corrected Qt4 epoch.

 -- Maia Kozheva <sikon@ubuntu.com>  Tue, 22 Dec 2009 16:08:31 +0600

qtcreator (1.3.0-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Added debian/watch.
  * Added quilt patch system. Split build system changes from the diff.gz into
    several patches in debian/patches:
    - buildsystem.patch: Make the upstream build system install files in correct
      locations.
    - debugginghelper.patch: Use /usr/lib/qtcreator/gdbmacros as an additional
      debugging helper location.

