=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>, Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: debhelper (>= 7.4.15), libqt4-dev (>= 4:4.7.0~rc1), qt4-dev-tools (>= 4:4.7.0~rc1),
 libqtwebkit-dev (>= 2.0~)
Standards-Version: 3.9.1
Homepage: http://www.qtsoftware.com/developer/qt-creator
Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git

Package: qtcreator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt4-help, libqt4-sql-sqlite
Recommends: qtcreator-doc, qt4-dev-tools, qt4-doc, qt4-demos,
 gdb, make, xterm | x-terminal-emulator
Suggests: cmake, git-core, subversion
Description: lightweight integrated development environment (IDE) for Qt
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt4-dev-tools, qt4-doc
Description: documentation for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the documentation for Qt Creator IDE.
