## qtcreator 2.1.0

=== debian/changelog ===
qtcreator (2.1.0-0ubuntu2) natty; urgency=low

  * Install icons to /usr/share/icons/hicolor/*/apps instead of
    /usr/share/pixmaps with different names. (LP: #732988)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 11 Mar 2011 10:58:01 +0100

qtcreator (2.1.0-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #725363)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 01 Mar 2011 12:07:29 +0100

qtcreator (2.1.0~rc1-0ubuntu1) natty; urgency=low

  * New upstream release candidate.
  * Update qtcreator.install file.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 27 Nov 2010 12:31:53 +0100

qtcreator (2.1.0~beta2-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Update qtcreator.install file.
  * Merge from Debian experimental, remaining changes:
    - build-depend on libqtwebkit-dev
    - add kubuntu_01_define_qt_webkit.diff
    - qtcreator suggests kdelibs5-data

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 09 Nov 2010 12:18:18 +0100

qtcreator (2.1.0~beta1-1) experimental; urgency=low

  * New upstream release.
  * Update debian/rules:
    - remove QTCREATOR_WITH_QML export, enabled by default.
    - remove plugins exclusion from dh_shlibdeps. (Closes: #597647)
  * Update qtcreator.install file.
    
 -- Fathi Boudra <fabo@debian.org>  Sat, 09 Oct 2010 19:55:37 +0300

qtcreator (2.1.0~beta1-0ubuntu1) natty; urgency=low

  * New upstream beta.
  * Refresh patches.
  * Update install files.
  * Make qtcreator suggest kdelibs5-data.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 15 Oct 2010 23:20:27 +0200
