=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libqt4-help, libqt4-sql-sqlite
 Recommends: qtcreator-doc, qt4-dev-tools, qt4-doc, qt4-demos,
  gdb, make, xterm | x-terminal-emulator
-Suggests: cmake, git-core, subversion
+Suggests: cmake, git-core, subversion, kdelibs5-data
 Description: lightweight integrated development environment (IDE) for Qt
  Qt Creator is a new, lightweight, cross-platform integrated development
  environment (IDE) designed to make development with the Qt application
