=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 #export DH_VERBOSE=1
 
 export QMAKE=/usr/bin/qmake-qt4
-export QTCREATOR_WITH_QML=1
 
 # Upstream changelog
 upstream_changes := $(wildcard dist/changes-*)
@@ -19,6 +18,32 @@
 override_dh_auto_build:
 	dh_auto_build
 	cd share/qtcreator/gdbmacros; $(MAKE)
+
+override_dh_auto_install:
+	dh_auto_install
+
+	mkdir -p debian/tmp/usr/share/icons/hicolor/16x16/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/24x24/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/32x32/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/48x48/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/64x64/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/128x128/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/256x256/apps
+
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_16.png \
+	    debian/tmp/usr/share/icons/hicolor/16x16/apps/qtcreator.png
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_24.png \
+	    debian/tmp/usr/share/icons/hicolor/24x24/apps/qtcreator.png
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_32.png \
+	    debian/tmp/usr/share/icons/hicolor/32x32/apps/qtcreator.png
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_48.png \
+	    debian/tmp/usr/share/icons/hicolor/48x48/apps/qtcreator.png
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_64.png \
+	    debian/tmp/usr/share/icons/hicolor/64x64/apps/qtcreator.png
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_128.png \
+	    debian/tmp/usr/share/icons/hicolor/128x128/apps/qtcreator.png
+	mv debian/tmp/usr/share/pixmaps/qtcreator_logo_256.png \
+	    debian/tmp/usr/share/icons/hicolor/256x256/apps/qtcreator.png
 
 override_dh_auto_clean:
 	dh_auto_clean
