## qtcreator 2.2.0

=== debian/changelog ===
qtcreator (2.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #627889):
    - fix ftbfs on kfreebsd. (Closes: #600652)
  * Add install_application_icons_according_to_freedesktop_spec.diff patch.
  * Update debian/rules:
    - build depends on libqtwebkit-dev >= 2.1.0~2011week13-2. This version
      contains a fix to define QT_WEBKIT and display correctly documentation
      in Qt Creator Help plugin.
    - bump Standards-Version to 3.9.2 (no changes needed).
  * Update debian/qtcreator.desktop: set InitialPreference=9.

 -- Fathi Boudra <fabo@debian.org>  Fri, 17 Jun 2011 20:47:08 +0300

qtcreator (2.2.0~beta-1) unstable; urgency=low

  * New upstream release.
  * Update 01_fix_installation_paths.diff to apply on 2.2.0~beta and fix
    qtpromaker path.
  * Update debian/qtcreator.install file.

 -- Fathi Boudra <fabo@debian.org>  Thu, 31 Mar 2011 11:39:45 +0300

qtcreator (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: add libqtwebkit-dev build dependency.

 -- Fathi Boudra <fabo@debian.org>  Wed, 16 Feb 2011 08:49:10 +0200

qtcreator (2.1.0~rc1-1) experimental; urgency=low

  * New upstream release.
  * Update debian/control:
    - bump libqt4-dev build dependency to 4:4.7.1.
  * Remove QTCREATOR_WITH_QML=1 environment variable - enabled by default.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Dec 2010 15:17:02 +0200
