=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QMAKE=/usr/bin/qmake-qt4

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)

%:
	dh $@ --parallel --list-missing

override_dh_auto_configure:
	for size in 16 24 32 48 64 128 256 512; do \
		mkdir -p src/plugins/coreplugin/images/logo/$${size}; \
		cp -a src/plugins/coreplugin/images/qtcreator_logo_$${size}.png \
			src/plugins/coreplugin/images/logo/$${size}/qtcreator.png; \
	done
	dh_auto_configure
	cd share/qtcreator/gdbmacros; $(QMAKE)

override_dh_auto_build:
	dh_auto_build
	cd share/qtcreator/gdbmacros; $(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	cd share/qtcreator/gdbmacros; if [ -e Makefile ]; then $(MAKE) distclean; fi
	rm -rf doc/html lib share/doc
	rm -f bin/qtcreator.* bin/qtcreator_* share/qtcreator/translations/qtcreator_*.qm
	find . -type d -name '.moc' | xargs rm -rf
	find . -type d -name '.obj' | xargs rm -rf
	find . -type d -name '.rcc' | xargs rm -rf
	find . -type d -name '.uic' | xargs rm -rf

override_dh_installchangelogs:
	dh_installchangelogs $(upstream_changes)

override_dh_makeshlibs:
	dh_makeshlibs -pqtcreator -n

override_dh_shlibdeps:
	dh_shlibdeps -pqtcreator -l$(DEB_DESTDIR)/usr/lib/qtcreator/
