## qtcreator 2.2.1

=== debian/changelog ===
qtcreator (2.2.1-1ubuntu4) oneiric; urgency=low

  * Fix FTBFS with multiarch Qt library path. (LP: #832811)
    - Pass IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) to configure.
    - Replace DEB_HOST_MULTIARCH variable in install files.
  * Fix FTBFS on armel: don't try to install the qmldesigner plugin.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 26 Aug 2011 15:41:22 +0200

qtcreator (2.2.1-1ubuntu3) oneiric; urgency=low

  * Add qt4-qmlviewer to Recommends. (LP: #776138)
  * On armel, add QMLDESIGNER_DISABLE to CONFIG instead of replacing it.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 01 Aug 2011 23:52:10 +0200

qtcreator (2.2.1-1ubuntu2) oneiric; urgency=low

  * Install qmldesigner plugins (/usr/lib/qmldesigner/*.so). (LP: #819270)

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 01 Aug 2011 19:51:30 +0200

qtcreator (2.2.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable
  * 05_dont_build_qmldesigner_on_armel.diff, debian/rules,
    debian/qtcreator.install.armel:
    - try to not build qmldesigner on armel: many qreal/float typing issue and
      qmldesigner isn't suited for armel anyway
  * debian/qtcreator.install, debian/qtcreator.install.linux:
    - install qmlpuppet to get qmldesigner working (LP: #752713)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 22 Jul 2011 11:03:38 +0200

qtcreator (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Add Qt Creator debug package.

 -- Fathi Boudra <fabo@debian.org>  Thu, 23 Jun 2011 12:26:27 +0300

qtcreator (2.2.0-2) unstable; urgency=low

  * Add QML Designer plugin:
    - build depends on libqt4-private-dev.
    - update debian/qtcreator.install file.
  * Add kdelibs5-data to Suggests. Qt Creator can use kate syntax highlighting
    definitions.
  * Add debian/qtcreator.install.linux: ptracepreload plugin is available on
    linux only.

 -- Fathi Boudra <fabo@debian.org>  Wed, 22 Jun 2011 09:19:32 +0300
