=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: debhelper (>= 7.4.15),
+Build-Depends: debhelper (>= 8.1.3~),
                libqt4-dev (>= 4:4.7.1),
+               libqt4-private-dev (>= 4:4.7.3-3),
                libqtwebkit-dev (>= 2.1.0~2011week13-2),
                qt4-dev-tools (>= 4:4.7.1)
 Standards-Version: 3.9.2
@@ -22,9 +24,10 @@
             qt4-demos,
             qt4-dev-tools,
             qt4-doc,
+            qt4-qmlviewer,
             qtcreator-doc,
             xterm | x-terminal-emulator
-Suggests: cmake, git-core, subversion
+Suggests: cmake, git-core, kdelibs5-data, subversion
 Description: lightweight integrated development environment (IDE) for Qt
  Qt Creator is a new, lightweight, cross-platform integrated development
  environment (IDE) designed to make development with the Qt application
@@ -39,6 +42,18 @@
   * Rapid code navigation tools
   * Supports multiple platforms
 
+Package: qtcreator-dbg
+Priority: extra
+Architecture: any
+Section: debug
+Depends: qtcreator (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: debugging symbols for Qt Creator IDE
+ Qt Creator is a new, lightweight, cross-platform integrated development
+ environment (IDE) designed to make development with the Qt application
+ framework even faster and easier.
+ .
+ This package contains the debugging symbols for Qt Creator IDE.
+
 Package: qtcreator-doc
 Architecture: all
 Section: doc
