=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,22 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export QMAKE=/usr/bin/qmake-qt4
 
 # Upstream changelog
 upstream_changes := $(wildcard dist/changes-*)
 
+extra_configure_opts = IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH)
+
+ifeq ($(DEB_HOST_ARCH),armel)
+	extra_configure_opts += CONFIG+=QMLDESIGNER_DISABLE
+endif
+
 %:
-	dh $@ --parallel --list-missing
+	dh $@ --parallel --dbg-package=qtcreator-dbg
 
 override_dh_auto_configure:
 	for size in 16 24 32 48 64 128 256 512; do \
@@ -17,7 +25,7 @@
 		cp -a src/plugins/coreplugin/images/qtcreator_logo_$${size}.png \
 			src/plugins/coreplugin/images/logo/$${size}/qtcreator.png; \
 	done
-	dh_auto_configure
+	dh_auto_configure -- $(extra_configure_opts)
 	cd share/qtcreator/gdbmacros; $(QMAKE)
 
 override_dh_auto_build:
@@ -29,10 +37,17 @@
 	cd share/qtcreator/gdbmacros; if [ -e Makefile ]; then $(MAKE) distclean; fi
 	rm -rf doc/html lib share/doc
 	rm -f bin/qtcreator.* bin/qtcreator_* share/qtcreator/translations/qtcreator_*.qm
+	rm -f debian/qtcreator.install debian/qtcreator.install.armel debian/qtcreator.install.linux
 	find . -type d -name '.moc' | xargs rm -rf
 	find . -type d -name '.obj' | xargs rm -rf
 	find . -type d -name '.rcc' | xargs rm -rf
 	find . -type d -name '.uic' | xargs rm -rf
+
+override_dh_install:
+	sed "s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" debian/qtcreator.install.in > debian/qtcreator.install
+	sed "s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" debian/qtcreator.install.armel.in > debian/qtcreator.install.armel
+	sed "s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" debian/qtcreator.install.linux.in > debian/qtcreator.install.linux
+	dh_install --list-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(upstream_changes)
