## qtcreator 2.4.0

=== debian/changelog ===
qtcreator (2.4.0-1) experimental; urgency=low

  * New upstream release (Closes: #653634):
    - FTBFS: error: no matching function for call to 'qMin(double&, qreal)'.
      (Closes: #638813)
  * Drop patches:
    - install_application_icons_according_to_freedesktop_spec.diff
      merged upstream.
    - 01_fix_installation_paths.diff
      use INSTALL_ROOT=$(CURDIR)/debian/tmp/usr to avoid to refresh this patch
      continously.
    - 04_append_Debian_search_path_for_pre-built_gdbmacros.diff
      we don't ship pre-built gdbmacros anymore.
  * Update debian/compat: bump to 9 for multiarch support.
  * Update debian/control:
    - bump build dependencies to Qt >= 4.8.0, version with multiarch support.
    - fix Homepage. (Closes: 627890)
    - add qt4-qmlviewer to Recommends.
    - add g++ to Suggests. (Closes: #649212)
    - suggests git instead of git-core (transitional package).
  * Update debian/rules:
    - remove QMAKE export using qmake_qt4 buildsystem (requires
      debhelper >= 8.9.1)
    - remove pre-built gdbmacros to simplify multiarch support.
    - install the documentation, not handled by make install.
    - do not remove bin/qtcreator.sh in override_dh_auto_clean target.
    - drop override_dh_{makeshlibs,shlibdeps}, Qt Creator provides private
      libraries only.
  * Add missing binaries: usr/lib/qmldesigner/*.so and usr/bin/qmlpuppet.*
    (Closes: #618339, #633915)
  * Enable multiarch support and update debian/*.install files accordingly.
  * Fix debian/watch file: download the tarball instead of zip archive.

 -- Fathi Boudra <fabo@debian.org>  Thu, 29 Dec 2011 22:11:49 +0200
