=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: debhelper (>= 8.1.3~),
-               libqt4-dev (>= 4:4.7.1),
-               libqt4-private-dev (>= 4:4.7.3-3),
+Build-Depends: debhelper (>= 8.9.1),
+               libqt4-dev (>= 4:4.7.4),
+               libqt4-private-dev (>= 4:4.7.4),
                libqtwebkit-dev (>= 2.1.0~2011week13-2),
-               qt4-dev-tools (>= 4:4.7.1)
+               qt4-dev-tools (>= 4:4.7.4)
 Standards-Version: 3.9.2
-Homepage: http://www.qtsoftware.com/developer/qt-creator
+Homepage: http://qt.nokia.com/products/developer-tools/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
 Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git
 
@@ -27,7 +26,7 @@
             qt4-qmlviewer,
             qtcreator-doc,
             xterm | x-terminal-emulator
-Suggests: cmake, git-core, kdelibs5-data, subversion
+Suggests: cmake, g++, git, kdelibs5-data, subversion
 Description: lightweight integrated development environment (IDE) for Qt
  Qt Creator is a new, lightweight, cross-platform integrated development
  environment (IDE) designed to make development with the Qt application
