=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)

%:
	dh $@ --parallel --list-missing --dbg-package=qtcreator-dbg --buildsystem=qmake_qt4

override_dh_auto_configure:
	dh_auto_configure -- IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) $(extra_configure_opts)

override_dh_auto_install:
	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/usr
	$(MAKE) docs
	install -D -p -m0644 share/doc/qtcreator/qtcreator.qch \
		debian/tmp/usr/share/qtcreator/doc/qtcreator.qch

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/html lib/qmldesigner lib/qtcreator/plugins share/doc
	rm -f bin/qtcreator_* lib/qtcreator/lib* lib/qtcreator/qtcomponents/plugin/lib* share/qtcreator/translations/qtcreator_*.qm
	find . -type d -name '.moc' | xargs rm -rf
	find . -type d -name '.obj' | xargs rm -rf
	find . -type d -name '.rcc' | xargs rm -rf
	find . -type d -name '.uic' | xargs rm -rf

override_dh_installchangelogs:
	dh_installchangelogs $(upstream_changes)
