## qtcreator 2.4.1

=== debian/changelog ===
qtcreator (2.4.1-0ubuntu2) precise; urgency=low

  [ Aurélien Gâteau ]
  * 06_bzr_log_no_false_positive.diff:
    Correctly detect revno in "short" and "line" log formats

  [ Felix Geyer ]
  * Install /usr/bin/qmlprofiler.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 21 Mar 2012 18:31:57 +0100

qtcreator (2.4.1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Add patches by Aurélien Gâteau to improve bzr integration.
  * Build qtcreator out-of-source.
  * Drop 01_fix_installation_paths.diff, not needed anymore.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 02 Feb 2012 12:08:40 +0100

qtcreator (2.4.0-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Fix watch file to download .tar.gz instead of .zip files.
  * Refresh 01_fix_installation_paths.diff.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 15 Dec 2011 16:04:20 +0100

qtcreator (2.4.0~rc-0ubuntu1) precise; urgency=low

  * New upstream release candidate.
  * Drop 04_fix_ftbfs_arm_qreal.diff, merged upstream.
  * Refresh 01_fix_installation_paths.diff.
  * Compress binary packages with xz.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 18 Nov 2011 16:18:49 +0100

qtcreator (2.4.0~beta-0ubuntu3) precise; urgency=low

  * Fix FTBFS on armel.
    - Add 04_fix_ftbfs_arm_qreal.diff
  * Compile docs only when the qtcreator-doc package is actually built.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 09 Nov 2011 08:45:01 +0100

qtcreator (2.4.0~beta-0ubuntu2) precise; urgency=low

  * Change the Suggests: git-core to a suggests on git. The git-core package
    is a transitional package to the git package now.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 04 Nov 2011 22:09:57 -0400

qtcreator (2.4.0~beta-0ubuntu1) precise; urgency=low

  * New upstream beta release.
  * Refresh patches.
  * Drop install_application_icons_according_to_freedesktop_spec.diff,
    fixed upstream.
  * qtcreator recommends g++. (LP: #881062)
  * Simplify install files.
  * Don't build the "dumper" library since it's only needed on Mac OS.
    - Drop 04_append_Debian_search_path_for_pre-built_gdbmacros.diff
  * Don't disable qmldesigner on armel anymore as it hopefully builds
    fine now.
  * Remove qtcreator.postinst since it's a noop.
  * Export build flags in debian/rules.
  * Fix Homepage field.
  * Don't call dh_makeshlibs as qtcreator doesn't provide any public
    shared libraries.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 04 Nov 2011 16:11:03 +0100
