=== debian/control ===
--- 
+++ 
@@ -1,32 +1,35 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: debhelper (>= 8.9.1),
-               libqt4-dev (>= 4:4.7.4),
-               libqt4-private-dev (>= 4:4.7.4),
+Build-Depends: debhelper (>= 8.1.3~),
+               libqt4-dev (>= 4:4.7.1),
+               libqt4-private-dev (>= 4:4.7.3-3),
                libqtwebkit-dev (>= 2.1.0~2011week13-2),
-               qt4-dev-tools (>= 4:4.7.4)
+               qt4-dev-tools (>= 4:4.7.1)
 Standards-Version: 3.9.2
-Homepage: http://qt.nokia.com/products/developer-tools/
+Homepage: https://qt.nokia.com/products/developer-tools
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
 Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git
 
 Package: qtcreator
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: libqt4-help, libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Recommends: gdb,
             make,
+            g++,
             qt4-demos,
             qt4-dev-tools,
             qt4-doc,
             qt4-qmlviewer,
             qtcreator-doc,
             xterm | x-terminal-emulator
-Suggests: cmake, g++, git, kdelibs5-data, subversion
+Suggests: cmake, git, kdelibs5-data, subversion
 Description: lightweight integrated development environment (IDE) for Qt
  Qt Creator is a new, lightweight, cross-platform integrated development
  environment (IDE) designed to make development with the Qt application
@@ -45,6 +48,7 @@
 Priority: extra
 Architecture: any
 Section: debug
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: qtcreator (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: debugging symbols for Qt Creator IDE
  Qt Creator is a new, lightweight, cross-platform integrated development
@@ -56,6 +60,7 @@
 Package: qtcreator-doc
 Architecture: all
 Section: doc
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}
 Suggests: qt4-dev-tools, qt4-doc
 Description: documentation for Qt Creator IDE
