=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)


%:
	dh $@ --parallel --dbg-package=qtcreator-dbg --builddirectory=builddir

override_dh_auto_configure:
	mkdir -p builddir
	dh_auto_configure -- $(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	# build docs in dh_auto_install so that they are only built when
	# arch-all packages are generated
ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
	# Build documentations
	dh_auto_build -- qch_docs
endif
	dh_auto_install --destdir=debian/tmp/usr
	make -C builddir install_docs INSTALL_ROOT=$(CURDIR)/debian/tmp/usr

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs $(upstream_changes)

override_dh_makeshlibs:
	# qtcreator doesn't provide any public libraries

override_dh_builddeb:
	dh_builddeb -- -Zxz
