## qtcreator 2.5.0

=== debian/changelog ===
qtcreator (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Build tm_posix.cpp on kFreeBSD and Hurd to fix a crash because of an
    undefined symbol. (Closes: #683933)
    - Add posix_rt_nonlinux.diff

 -- Felix Geyer <fgeyer@debian.org>  Tue, 07 Aug 2012 11:33:13 +0200

qtcreator (2.5.0-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Fix the installation of the upstream changelogs: use dh_installdocs
    for them, and install them only in qtcreator.
  * Build the documentation only when qtcreator-doc is being built too.
  * Remove unuseful ${shlibs:Depends} from qtcreator-dbg.
  * Enable RPATH also on kFreeBSD and Hurd; patch rpath_nonlinux.diff.
    (Closes: #672527)

 -- Fathi Boudra <fabo@debian.org>  Thu, 10 May 2012 21:57:24 +0300

qtcreator (2.5.0~rc-1) unstable; urgency=low

  * New upstream release.
  * Add patches, cheery-picked upstream:
    - Use_bzr_branch_instead_of_bzr_clone.patch
    - Fix_revno_detection_in_bzr_log.patch
  * Update debian/control:
    - bump debhelper build dependency to 9.
    - bump build dependencies to Qt >= 4.8.1.
    - bump Standards-Version to 3.9.3 (no changes needed).
  * Update installed files and adjust paths for multiarch.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 May 2012 09:47:02 +0300
