=== debian/watch ===
version=3
http://get.qt.nokia.com/qtcreator/qt-creator-([^-]*)-src\.tar\.gz
