## qtcreator 2.5.2

=== debian/changelog ===
qtcreator (2.5.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Re-apply Ubuntu delta that has been inadvertently dropped in the
    last upload:
    - Build qtcreator out-of-source.
    - Don't call dh_makeshlibs as qtcreator doesn't provide any public
      shared libraries.
    - Compress binary packages with xz.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 17 Aug 2012 20:09:31 +0200

qtcreator (2.5.0-1ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Recommend, not Suggest g++.
    - Keep 04_vcs_log_fix_cursor.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 08 Jun 2012 12:44:29 -0400

qtcreator (2.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Switch to debhelper compat level v9.
  * Refresh bzr patches.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 09 May 2012 18:31:04 +0200
