=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtcreator
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>
@@ -18,16 +19,18 @@
 
 Package: qtcreator
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: libqt4-help, libqt4-sql-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Recommends: gdb,
             make,
+            g++,
             qt4-demos,
             qt4-dev-tools,
             qt4-doc,
             qt4-qmlviewer,
             qtcreator-doc,
             xterm | x-terminal-emulator
-Suggests: cmake, g++, git, kdelibs5-data, subversion
+Suggests: cmake, git, kdelibs5-data, subversion
 Description: lightweight integrated development environment (IDE) for Qt
  Qt Creator is a new, lightweight, cross-platform integrated development
  environment (IDE) designed to make development with the Qt application
@@ -46,6 +49,7 @@
 Priority: extra
 Architecture: any
 Section: debug
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for Qt Creator IDE
  Qt Creator is a new, lightweight, cross-platform integrated development
@@ -57,6 +61,7 @@
 Package: qtcreator-doc
 Architecture: all
 Section: doc
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}
 Suggests: qt4-dev-tools, qt4-doc
 Description: documentation for Qt Creator IDE
