## qtcreator 2.6.0

=== debian/changelog ===
qtcreator (2.6.0-0ubuntu2) raring; urgency=low

  * Link Qt Creator against the system botan library instead of using
    the bundled one.
    - Add botan_system_lib.diff and revert_6f7ce3f4.diff, slightly adapted
      from openSUSE.
    - Build-depend on libbotan1.10-dev and pkg-config.
    - Fixes FTBFS on non-X86 architectures.
  * Enable IDE_PACKAGE_MODE so the HelloWorld and UpdateInfo plugins are
    not built.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 12 Nov 2012 11:33:55 +0100

qtcreator (2.6.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Fix the watch file.
  * Update Homepage.
  * Update install files.
  * Refresh patches.
  * Drop 04_vcs_log_fix_cursor.diff, Use_bzr_branch_instead_of_bzr_clone.patch
    and Fix_revno_detection_in_bzr_log.patch: merged upstream.
  * Build-depend on libx11-dev.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 11 Nov 2012 16:06:21 +0100
