=== debian/control ===
--- 
+++ 
@@ -11,9 +11,12 @@
                libqt4-dev (>= 4:4.8.1),
                libqt4-private-dev (>= 4:4.8.1),
                libqtwebkit-dev (>= 2.1.0~2011week13-2),
-               qt4-dev-tools (>= 4:4.8.1)
+               qt4-dev-tools (>= 4:4.8.1),
+               libx11-dev,
+               pkg-config,
+               libbotan1.10-dev
 Standards-Version: 3.9.3
-Homepage: http://qt.nokia.com/products/developer-tools/
+Homepage: http://qt-project.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
 Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git
