=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_configure:
 	mkdir -p builddir
-	dh_auto_configure -- $(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) $(extra_configure_opts)
+	dh_auto_configure -- $(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 $(extra_configure_opts)
 
 override_dh_auto_install:
 ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
@@ -21,6 +21,11 @@
 endif
 	dh_auto_install --destdir=debian/tmp/usr
 	dh_auto_build -- install_docs INSTALL_ROOT=$(CURDIR)/debian/tmp/usr
+
+override_dh_auto_clean:
+	dh_auto_clean
+	# make sure the bundles botan lib isn't used during the build
+	rm -f src/libs/3rdparty/botan/botan.cpp src/libs/3rdparty/botan/botan.h
 
 override_dh_installdocs:
 	dh_installdocs -pqtcreator $(upstream_changes)
