=== debian/watch ===
version=3
http://releases.qt-project.org/qtcreator/2.6.0/qt-creator-([^-]*)-src\.tar\.gz
