## qtcreator 2.7.0~beta

=== debian/changelog ===
qtcreator (2.7.0~beta-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Update *.install
  * debian/control:
    - Build against Qt5
    - Update home page
  * Require Qt 5.0.1 for functional Quick 2 support
  * Add lintian-overrides
  * Refresh patch:
    - botan_system_lib.diff
  * Drop upstreamed patch:
    - revert_6f7ce3f4.diff

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 14 Feb 2013 09:22:00 +0000
