=== debian/control ===
--- 
+++ 
@@ -8,13 +8,34 @@
            Jeremy Lainé <jeremy.laine@m4x.org>
 Build-Depends: debhelper (>= 9),
                libicu-dev,
-               libqt4-dev (>= 4:4.8.1),
-               libqt4-private-dev (>= 4:4.8.1),
-               libqtwebkit-dev (>= 2.1.0~2011week13-2),
-               qt4-dev-tools (>= 4:4.8.1),
                libx11-dev,
                pkg-config,
-               libbotan1.10-dev
+               libbotan1.10-dev,
+               libqt5sql5-sqlite (>= 5.0.1~),
+               libqt5designercomponents5 (>= 5.0.1~),
+               libqt5designer5 (>= 5.0.1~),
+               libqt5clucene5 (>= 5.0.1~),
+               qttools5-private-dev (>= 5.0.1~),
+               libqt5v8-5-private-dev (>= 5.0.1~),
+               libqt5help5 (>= 5.0.1~),
+               qttools5-dev (>= 5.0.1~),
+               qttools5-dev-tools (>= 5.0.1~),
+               qt5-qmake (>= 5.0.1~),
+               qtbase5-private-dev (>= 5.0.1~),
+               libqt5script5 (>= 5.0.1~),
+               libqt5scripttools5 (>= 5.0.1~),
+               qt5-default,
+               qtscript5-private-dev (>= 5.0.1~),
+               qtxmlpatterns5-dev-tools (>= 5.0.1~),
+               libqt5widgets5 (>= 5.0.1~),
+               qttools5-dev-tools (>= 5.0.1~),
+               qtdeclarative5-private-dev (>= 5.0.1~),
+               qtdeclarative5-dev-tools (>= 5.0.1~),
+               qtquick1-5-dev (>= 5.0.1~),
+               qtquick1-5-dev-tools (>= 5.0.1~),
+               libqt5help5 (>= 5.0.1~),
+               qtlocation5-dev,
+               qtsensors5-dev,
 Standards-Version: 3.9.3
 Homepage: http://qt-project.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
