=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 upstream_changes := $(wildcard dist/changes-*)
 
 %:
-	dh $@ --parallel --list-missing --dbg-package=qtcreator-dbg --buildsystem=qmake_qt4 --builddirectory=builddir
+	dh $@ --parallel --list-missing --dbg-package=qtcreator-dbg --buildsystem=qmake --builddirectory=builddir
 
 override_dh_auto_configure:
 	mkdir -p builddir
